IF OBJECT_ID('RC_CLI_TRANSACAO') IS NULL 
BEGIN 
 CREATE TABLE RC_CLI_TRANSACAO (
	CD_CTR					BIGINT IDENTITY(1,1) NOT NULL,
	CD_EMP					INT NOT NULL,
	CD_FILIAL				INT NOT NULL,
	CD_CLI					INT NOT NULL,
	VD_ORIGEM				VARCHAR(2) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS CONSTRAINT DF_RC_CLI_TRANSACAO_VD_ORIGEM DEFAULT 'TL' NOT NULL,
	VD_ID					INT NOT NULL,
	VD_VALOR				MONEY NOT NULL,
	DT_CAD					DATETIME DEFAULT GETDATE() NOT NULL,
	DT_ULT_STS				DATETIME NULL,
	MERCHANT_ORD_ID			VARCHAR(20) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NULL,
	REQUEST_ID				VARCHAR(255) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS  CONSTRAINT DF_RC_CLI_TRANSACAO_REQUEST_ID  DEFAULT '' NOT NULL,
	TIPO_TRANSACAO			VARCHAR(30) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NOT NULL,
	STS_PEDIDO_TRANSACAO	VARCHAR(30) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS  CONSTRAINT DF_RC_CLI_TRANSACAO_STS_PEDIDO_TRANSACAO  DEFAULT '' NOT NULL,
	STS_TRANSACAO			VARCHAR(30) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS  CONSTRAINT DF_RC_CLI_TRANSACAO_STS_TRANSACAO  DEFAULT '' NOT NULL,
	PARAMS_ENVIO			TEXT COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS  CONSTRAINT DF_RC_CLI_TRANSACAO_PARAMS_ENVIO DEFAULT '' NOT NULL,
	PARAMS_RETORNO			TEXT COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS  CONSTRAINT DF_RC_CLI_TRANSACAO_PARAMS_RETORNO DEFAULT '' NOT NULL,
	DT_TRANSACAO			DATETIME NULL,
	ERROS_ENVIO				TEXT COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NULL,
	ERROS_RETORNO			TEXT COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NULL,
	NSU						VARCHAR(50) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS CONSTRAINT DF_RC_CLI_TRANSACAO_PARAMS_NSU			DEFAULT '' NOT NULL,
	AUTORIZACAO				VARCHAR(50) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS CONSTRAINT DF_RC_CLI_TRANSACAO_PARAMS_AUTORIZACAO	DEFAULT '' NOT NULL,
	BANDEIRA				VARCHAR(50) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS CONSTRAINT DF_RC_CLI_TRANSACAO_PARAMS_BANDEIRA		DEFAULT '' NOT NULL,
	ADQUIRENTE				VARCHAR(50) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS CONSTRAINT DF_RC_CLI_TRANSACAO_PARAMS_ADQUIRENTE	DEFAULT '' NOT NULL,
	OBSERVACAO				TEXT COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS CONSTRAINT DF_RC_CLI_TRANSACAO_PARAMS_OBSERVACAO DEFAULT '' NULL,
	CONSTRAINT PK_RC_CLI_TRANSACAO PRIMARY KEY (CD_CTR),
	CONSTRAINT FK_RC_CLI_TRANSACAO_RC_CLI FOREIGN KEY (CD_EMP,CD_CLI) REFERENCES RC_CLI(CD_EMP,CD_CLI)
) 
END 